
From: Tom Rini <trini@kernel.crashing.org>

Fix compilation of arch/ppc/kernel/ppc_ksyms.c on !CONFIG_PPC_STD_MMU

'mol_trampoline' is only defined on CONFIG_PPC_STD_MMU.  Therefore this file
will not compile on !CONFIG_PPC_STD_MMU without this change.



 25-akpm/arch/ppc/kernel/ppc_ksyms.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc/kernel/ppc_ksyms.c~ppc-ksyms-build-fix arch/ppc/kernel/ppc_ksyms.c
--- 25/arch/ppc/kernel/ppc_ksyms.c~ppc-ksyms-build-fix	Tue Dec 23 14:04:00 2003
+++ 25-akpm/arch/ppc/kernel/ppc_ksyms.c	Tue Dec 23 14:04:00 2003
@@ -367,9 +367,9 @@ EXPORT_SYMBOL(next_mmu_context);
 EXPORT_SYMBOL(set_context);
 EXPORT_SYMBOL(handle_mm_fault); /* For MOL */
 EXPORT_SYMBOL_NOVERS(disarm_decr);
+#ifdef CONFIG_PPC_STD_MMU
 extern long mol_trampoline;
 EXPORT_SYMBOL(mol_trampoline); /* For MOL */
-#ifdef CONFIG_PPC_STD_MMU
 EXPORT_SYMBOL(flush_hash_pages); /* For MOL */
 #ifdef CONFIG_SMP
 extern int mmu_hash_lock;

_
